Bug 191762 - latex2html fails to build in mock
latex2html fails to build in mock
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: latex2html (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
:
Depends On:
Blocks: BuildReqBlocker
  Show dependency treegraph
 
Reported: 2006-05-15 12:44 EDT by Christian Iseli
Modified: 2013-07-02 19:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-27 03:47:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Failed mock build log (85.27 KB, text/plain)
2006-05-15 12:44 EDT, Christian Iseli
no flags Details
Diff to latex2html.spec (7.74 KB, patch)
2006-06-26 22:35 EDT, Mamoru TASAKA
no flags Details | Diff
log of rebuiding src with mock (114.76 KB, text/plain)
2006-06-26 22:39 EDT, Mamoru TASAKA
no flags Details

  None (edit)
Description Christian Iseli 2006-05-15 12:44:06 EDT
latex2html fails to build in mock
Comment 1 Christian Iseli 2006-05-15 12:44:07 EDT
Created attachment 129096 [details]
Failed mock build log
Comment 2 Mamoru TASAKA 2006-06-26 22:35:03 EDT
Created attachment 131578 [details]
Diff to latex2html.spec 

I don't know well about latex2html, however, I tried to fix latex2html.spec.

First, I added BR: tetex-latex to be built with mock, however, jlatex2html
didn't work for me (at all!!)

So I tried to see the whole spec file. The major points are
- make replacements by perl correctly.
- Japanese scripts should correctly use j-labeled scripts.

Another point is that I could not find latex2html-2002.2.1.tar.bz2...
and when I changed source tar.bz2 to tar.gz available on internet,
Japanese v2.0 patch no longer worked. So I updated both source file and
Japanese patch.

The rebuild noarch.rpm with my patch attached seems to work TO SOME EXTENT
(not perfectly). Please verify my patch.
Comment 3 Mamoru TASAKA 2006-06-26 22:39:31 EDT
Created attachment 131580 [details]
log of rebuiding src with mock

The log of rebuilding latex2html.src with my patch attached with mock
is attached here.
Comment 4 Jindrich Novy 2006-06-27 03:47:12 EDT
Applied with minor changes, thanks.

Note You need to log in before you can comment on or make changes to this bug.